 

  @if(sideBarParams()){
    <div
    class="static z-20 h-full ml-0 transition-all duration-500 delay-75 bg-white border-r border-gray-200 lg:ml-0"
    [ngClass]="{
      'fixed left-0 top-0': sideBarParams().position === 'fixed'
    }"
    [ngStyle]="{ 
      'width': sideBarParams().width + 'px',
      'margin-left': !sideBarParams().visible ? -sideBarParams().width+'px' : 0+'px'
    }">
     <ng-content select="[slot='contents']"></ng-content>
  </div> 
  <div @fadeInOut *ngIf="sideBarParams().position === 'fixed' && sideBarParams().visible" id="backdrop" class="fixed inset-0 z-10 bg-black/30" (click)="onCloseNavigation()"></div>
 } 